## org.omg.CORBA.InterfaceDefPackage
Class FullInterfaceDescriptionHelper

    java.lang.Object
      |
      +--org.omg.CORBA.InterfaceDefPackage.FullInterfaceDescriptionHelper

public class FullInterfaceDescriptionHelper
extends java.lang.Object

Helper class for : FullInterfaceDescription

Author:
  OpenORB Compiler

Constructor Summary
`FullInterfaceDescriptionHelper()`

Method Summary
`static FullInterfaceDescription` `extract(Any a)` Extract FullInterfaceDescription from an any
`static java.lang.String` `id()` Return the FullInterfaceDescription IDL ID
`static void` `insert(Any a, FullInterfaceDescription t)` Insert FullInterfaceDescription into an any
`static FullInterfaceDescription` `read(InputStream istream)` Read FullInterfaceDescription from a marshalled stream
`static TypeCode` `type()` Return the FullInterfaceDescription TypeCode
`static void` `write(OutputStream ostream, FullInterfaceDescription value)` Write FullInterfaceDescription into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FullInterfaceDescriptionHelper

    public FullInterfaceDescriptionHelper()

Method Detail

### insert

    public static void insert(Any a,
                              FullInterfaceDescription t)

  Insert FullInterfaceDescription into an any
  Parameters:
    `a` - an any
    `t` - FullInterfaceDescription value

### extract

    public static FullInterfaceDescription extract(Any a)

  Extract FullInterfaceDescription from an any
  Parameters:
    `a` - an any
  Returns:
    the extracted FullInterfaceDescription value

### type

    public static TypeCode type()

  Return the FullInterfaceDescription TypeCode
  Returns:
    a TypeCode

### id

    public static java.lang.String id()

  Return the FullInterfaceDescription IDL ID
  Returns:
    an ID

### read

    public static FullInterfaceDescription read(InputStream istream)

  Read FullInterfaceDescription from a marshalled stream
  Parameters:
    `istream` - the input stream
  Returns:
    the readed FullInterfaceDescription value

### write

    public static void write(OutputStream ostream,
                             FullInterfaceDescription value)

  Write FullInterfaceDescription into a marshalled stream
  Parameters:
    `ostream` - the output stream
    `value` - FullInterfaceDescription value